Bug 1266673 - TypeError: Argument 0 does not allow None as a value
TypeError: Argument 0 does not allow None as a value
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:1044206895e98bd39760689b8f1...
:
Depends On:
Blocks: F23FinalBlocker
  Show dependency treegraph
 
Reported: 2015-09-26 08:00 EDT by woky
Modified: 2015-10-19 17:09 EDT (History)
11 users (show)

See Also:
Fixed In Version: python-blivet-1.12.7-1 python-blivet-1.12.7-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 17:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (185.28 KB, text/plain)
2015-09-26 08:00 EDT, woky
no flags Details
File: anaconda.log (9.75 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: dnf.log (658 bytes, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: environ (459 bytes, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: lsblk_output (3.30 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: nmcli_dev_list (1.41 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: os_info (451 bytes, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: program.log (15.07 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: storage.log (8.47 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: syslog (126.56 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: ifcfg.log (2.08 KB, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
File: packaging.log (147 bytes, text/plain)
2015-09-26 08:01 EDT, woky
no flags Details
Report of latest try from anaconda (178.57 KB, application/x-gzip)
2015-10-08 10:22 EDT, woky
no flags Details

  None (edit)
Description woky 2015-09-26 08:00:55 EDT
Description of problem:
The error occurs several seconds after graphical installation starts.

Version-Release number of selected component:
anaconda-23.19.4-1

The following was filed automatically by anaconda:
anaconda 23.19.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 97, in btrfs_list_subvolumes
    return _btrfs_list_subvolumes(mountpoint, snapshots_only)
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/devices/btrfs.py", line 348, in listSubVolumes
    snapshots_only=snapshotsOnly)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1307, in handleBTRFSFormat
    snapshots = btrfs_dev.listSubVolumes(snapshotsOnly=True)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1478, in handleUdevDeviceFormat
    self.handleBTRFSFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 764, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1156, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
TypeError: Argument 0 does not allow None as a value

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-WS-23_B-x86_64 quiet
dnf.rpm.log:    Sep 26 11:55:52 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 woky 2015-09-26 08:00:59 EDT
Created attachment 1077411 [details]
File: anaconda-tb
Comment 2 woky 2015-09-26 08:01:01 EDT
Created attachment 1077412 [details]
File: anaconda.log
Comment 3 woky 2015-09-26 08:01:02 EDT
Created attachment 1077413 [details]
File: dnf.log
Comment 4 woky 2015-09-26 08:01:04 EDT
Created attachment 1077414 [details]
File: environ
Comment 5 woky 2015-09-26 08:01:05 EDT
Created attachment 1077415 [details]
File: lsblk_output
Comment 6 woky 2015-09-26 08:01:07 EDT
Created attachment 1077416 [details]
File: nmcli_dev_list
Comment 7 woky 2015-09-26 08:01:08 EDT
Created attachment 1077417 [details]
File: os_info
Comment 8 woky 2015-09-26 08:01:10 EDT
Created attachment 1077418 [details]
File: program.log
Comment 9 woky 2015-09-26 08:01:12 EDT
Created attachment 1077419 [details]
File: storage.log
Comment 10 woky 2015-09-26 08:01:14 EDT
Created attachment 1077420 [details]
File: syslog
Comment 11 woky 2015-09-26 08:01:16 EDT
Created attachment 1077421 [details]
File: ifcfg.log
Comment 12 woky 2015-09-26 08:01:17 EDT
Created attachment 1077422 [details]
File: packaging.log
Comment 13 woky 2015-09-26 08:22:01 EDT
Here're my disks with Btrfs:

  NAME                                          KNAME TYPE  FSTYPE        SIZE
  sda                                           sda   disk              111.8G
  ├─sda1                                        sda1  part  vfat          200M
  ├─sda2                                        sda2  part  ext4          500M
  ├─sda3                                        sda3  part  crypto_LUKS   7.8G
  │ └─luks-3ea13266-90fc-4be4-ba8b-179ec27d5654 dm-0  crypt swap          7.8G
  └─sda4                                        sda4  part  crypto_LUKS 103.3G
    └─luks-f3ec40a7-e064-43b4-9d0c-fa78fd575515 dm-1  crypt btrfs       103.3G
  sdc                                           sdc   disk  btrfs         2.7T
  sdd                                           sdd   disk  btrfs         2.7T
  sde                                           sde   disk  btrfs         1.8T
  sdf                                           sdf   disk  btrfs         1.8T


Another less severe user interface issue:

On the first try the error occurred when the dialog warning me about bugs in beta was displayed. While the error dialog was displayed on top, the previous modal dialog was first in the hierarchy (= I couldn't click any buttons in the error dialog). See the pictures:

https://i.imgur.com/J1BvmrV.jpg
https://i.imgur.com/cfSILRi.jpg

Since the dialog windows couldn't be moved, I wouldn't be able to focus the first dialog the error dialog been slightly bigger. Moreover, I couldn't even get rid of the first dialog by clicking "I accept my fate" because while the button could be clicked (it gave visual feedback), it didn't do anything. So at this point I was stuck and my only option was to switch to another VT to check wtf is going on and reboot. It's not such a big deal for me but it's not good user interface.
Comment 14 woky 2015-09-26 08:27:18 EDT
And here're mounts I use:

  /      /dev/mapper/luks-f3ec40a7-e064-43b4-9d0c-fa78fd575515[/root] btrfs
  /home  /dev/mapper/luks-f3ec40a7-e064-43b4-9d0c-fa78fd575515[/home] btrfs

sd[cdef] is Btrfs RAID 1.
Comment 15 Fedora Admin XMLRPC Client 2015-09-28 16:26:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Adam Williamson 2015-10-05 18:46:41 EDT
Discussed at 2015-10-05 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-05/f23-blocker-review.2015-10-05-16.00.html . Accepted as a blocker: it's a clear violation of Beta criterion "...the installer must be able to: Correctly interpret . . . any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions, LVM and/or btrfs volumes..." , as it's a crash when interpreting an existing disk layout.
Comment 17 Vojtech Trefny 2015-10-07 05:52:38 EDT
I wasn't able to reproduce this bug but I have found a bug in our code that could be causing this.

Could you please test the installation (F23 beta) with this updates image -- https://vtrefny.fedorapeople.org/img/btrfs.img (just add "updates=http://.../btrfs.img" to the boot options).
Comment 18 woky 2015-10-07 16:21:59 EDT
Hi. Thanks for the update. I booted with the mentioned option and the following error happened unfortunately https://bugzilla.redhat.com/show_bug.cgi?id=1269646

I should mention that the SSD (LUKS encrypted) disk was created by Fedora 21 installer. By "The filesystem doesn't have any subvolumes." in the other bug report I meant the btrfs RAID.
Comment 19 woky 2015-10-07 16:24:03 EDT
Just to be clear. The failure that occurred in this bug report didn't occur now.
Comment 20 Vojtech Trefny 2015-10-08 08:39:23 EDT
Ok, next try: https://vtrefny.fedorapeople.org/img/btrfs2.img

I actually think the second bug (with the LUKS error) was a consequence of the fix.
Comment 21 woky 2015-10-08 10:21:57 EDT
Hi Vojtěch.

It seems that same error happened with updated btrfs2.img. Here's the sequence of screens that led to it: https://i.imgur.com/erHcLHs.jpg . Tomorrow the soonest time I'm able to test again will be around this time again.

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 352, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 2188, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/kickstart.py", line 342, in execute
    doAutoPartition(storage, ksdata, min_luks_entropy=MIN_CREATE_ENTROPY)
  File "/tmp/updates/blivet/autopart.py", line 495, in doAutoPartition
    raise NotEnoughFreeSpaceError(_("Not enough free space on disks for "
blivet.errors.NotEnoughFreeSpaceError: Not enough free space on disks for automatic partitioning

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 361, in _doExecute
    self.storage.reset()
  File "/tmp/updates/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/tmp/updates/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/tmp/updates/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/tmp/updates/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/tmp/updates/blivet/populator.py", line 764, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/tmp/updates/blivet/populator.py", line 1470, in handleUdevDeviceFormat
    self.handleUdevLUKSFormat(info, device)
  File "/tmp/updates/blivet/populator.py", line 847, in handleUdevLUKSFormat
    device.format.setup()
  File "/tmp/updates/blivet/formats/__init__.py", line 480, in setup
    if not self._preSetup(**kwargs):
  File "/tmp/updates/blivet/formats/luks.py", line 183, in _preSetup
    raise LUKSError("luks device not configured")
blivet.errors.LUKSError: luks device not configured
Comment 22 woky 2015-10-08 10:22 EDT
Created attachment 1081030 [details]
Report of latest try from anaconda
Comment 23 Vojtech Trefny 2015-10-08 10:59:53 EDT
Ok, thanks for testing. I'm moving this bug to post, because the btrfs problem is fixed now.

Now I see the second bug is not related to the fix and this bug. I was actually able to reproduce it, so it should be much easier to fix.

Thanks again for help.
Comment 24 Fedora Update System 2015-10-15 13:28:42 EDT
anaconda-23.19.7-1.fc23 python-blivet-1.12.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c70e34d416
Comment 25 Fedora Update System 2015-10-15 16:53:45 EDT
anaconda-23.19.7-1.fc23, python-blivet-1.12.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-blivet anaconda'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c70e34d416
Comment 26 Fedora Update System 2015-10-19 17:08:58 EDT
anaconda-23.19.7-1.fc23, python-blivet-1.12.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.